@base <https://purl.org/coscine/ap/qudt/quantitykind/MassPerArea/> .

@prefix dcterms: <http://purl.org/dc/terms/>.
@prefix rdfs: <http://www.w3.org/2000/01/rdf-schema#> .
@prefix sh: <http://www.w3.org/ns/shacl#> .
@prefix xsd: <http://www.w3.org/2001/XMLSchema#> .
@prefix qudt: <http://qudt.org/schema/qudt/> .
@prefix unit: <http://qudt.org/vocab/unit/> .
@prefix coscinetype: <https://purl.org/coscine/terms/types#> .

<https://purl.org/coscine/ap/qudt/quantitykind/MassPerArea/>
  a sh:NodeShape, rdfs:Class, coscinetype:Module ;
  dcterms:created "2023-10-12"^^xsd:date;
  dcterms:modified "2023-10-19"^^xsd:date;
  dcterms:creator "Benedikt Heinrichs";
  dcterms:description "Profil für alle Einheiten, die eine Mass Per Area sind."@de,
    "Profile for all units that are a/an Mass Per Area."@en;
  dcterms:license "https://spdx.org/licenses/CC-BY-4.0.html";
  dcterms:title "Einheit: Mass Per Area"@de,
    "Unit: Mass Per Area"@en;

  sh:property
    [
      sh:path qudt:unit ;
      sh:minCount 1 ;
      sh:maxCount 1 ;
      sh:name "Unit"@en , "Einheit"@de ;
      sh:in ( unit:GM-PER-CentiM2 unit:GM-PER-M2 unit:KiloGM-PER-CentiM2 unit:KiloGM-PER-FT2 unit:KiloGM-PER-HA unit:KiloGM-PER-KiloM2 unit:KiloGM-PER-M2 unit:LB-PER-FT2 unit:LB-PER-IN2 unit:MegaGM-PER-HA unit:MicroG-PER-CentiM2 unit:MilliGM-PER-CentiM2 unit:MilliGM-PER-HA unit:MilliGM-PER-M2 unit:OZ-PER-FT2 unit:OZ-PER-YD2 unit:SLUG-PER-FT2 unit:TONNE-PER-HA unit:TON_Metric-PER-HA ) ;
    ] ;
  sh:property
    [
      sh:path qudt:value ;
      sh:minCount 1 ;
      sh:maxCount 1 ;
      sh:datatype xsd:decimal ;
      sh:name "Value"@en , "Wert"@de ;
      sh:description "Entry must be an integer or a decimal with a point separator (e.g., 2.5)."@en, "Die Eingabe muss eine ganze Zahl oder eine Dezimalzahl mit einem Punkttrennzeichen sein (z. B. 2.5)."@de ;
      sh:message "Entry must be an integer or a decimal with a point separator (e.g., 2.5)."@en, "Die Eingabe muss eine ganze Zahl oder eine Dezimalzahl mit einem Punkttrennzeichen sein (z. B. 2.5)."@de ;
    ] ;
.

unit:GM-PER-CentiM2 rdfs:label "Gram Per Square Centimeter"@en-us, "Gram Per Square Centimetre"@en .
unit:GM-PER-M2 rdfs:label "Gram Per Square Meter"@en-us, "Gram Per Square Metre"@en .
unit:KiloGM-PER-CentiM2 rdfs:label "Kilogram Per Square Centimeter"@en-us, "Kilogram Per Square Centimetre"@en .
unit:KiloGM-PER-FT2 rdfs:label "Kilogram Per Square Foot"@en .
unit:KiloGM-PER-HA rdfs:label "Kilogram Per Hectare"@en .
unit:KiloGM-PER-KiloM2 rdfs:label "Kilograms Per Square Kilometre"@en .
unit:KiloGM-PER-M2 rdfs:label "Kilogram Per Square Meter"@en-us, "Kilogram Per Square Metre"@en .
unit:LB-PER-FT2 rdfs:label "Pound Mass (Avoirdupois) Per Square Foot"@en .
unit:LB-PER-IN2 rdfs:label "Pound (Avoirdupois) Per Square Inch"@en .
unit:MegaGM-PER-HA rdfs:label "Megagram Per Hectare"@en, "Megagram Per Hectare"@en-us .
unit:MicroG-PER-CentiM2 rdfs:label "Microgram Per Square Centimetre"@en .
unit:MilliGM-PER-CentiM2 rdfs:label "Milligram Per Square Centimeter"@en-us, "Milligram Per Square Centimetre"@en .
unit:MilliGM-PER-HA rdfs:label "Milligram Per Hectare"@en .
unit:MilliGM-PER-M2 rdfs:label "Milligram Per Square Meter"@en-us, "Milligram Per Square Metre"@en .
unit:OZ-PER-FT2 rdfs:label "Imperial Mass Ounce Per Square Foot"@en .
unit:OZ-PER-YD2 rdfs:label "Imperial Mass Ounce Per Square Yard"@en .
unit:SLUG-PER-FT2 rdfs:label "Slug Per Square Foot"@en .
unit:TONNE-PER-HA rdfs:label "Tonne Per Hectare"@en .
unit:TON_Metric-PER-HA rdfs:label "Metric Tonne Per Hectare"@en .
